## GstVaapiWindowGLX GstVaapiWindowGLX |

## Functions

GstVaapiWindow * | gst_vaapi_window_glx_new ()
GstVaapiWindow * | gst_vaapi_window_glx_new_with_xid ()
GLXContext | gst_vaapi_window_glx_get_context ()
gboolean | gst_vaapi_window_glx_set_context ()
gboolean | gst_vaapi_window_glx_make_current ()
void | gst_vaapi_window_glx_swap_buffers ()
gboolean | gst_vaapi_window_glx_put_texture ()

## Types and Values

| GstVaapiWindowGLX

## Description

## Functions

### gst_vaapi_window_glx_new ()

    GstVaapiWindow *
    gst_vaapi_window_glx_new (GstVaapiDisplay *display,
                              guint width,
                              guint height);

### gst_vaapi_window_glx_new_with_xid ()

    GstVaapiWindow *
    gst_vaapi_window_glx_new_with_xid (GstVaapiDisplay *display,
                                       Window xid);

### gst_vaapi_window_glx_get_context ()

    GLXContext
    gst_vaapi_window_glx_get_context (GstVaapiWindowGLX *window);

### gst_vaapi_window_glx_set_context ()

    gboolean
    gst_vaapi_window_glx_set_context (GstVaapiWindowGLX *window,
                                      GLXContext ctx);

### gst_vaapi_window_glx_make_current ()

    gboolean
    gst_vaapi_window_glx_make_current (GstVaapiWindowGLX *window);

### gst_vaapi_window_glx_swap_buffers ()

    void
    gst_vaapi_window_glx_swap_buffers (GstVaapiWindowGLX *window);

### gst_vaapi_window_glx_put_texture ()

    gboolean
    gst_vaapi_window_glx_put_texture (GstVaapiWindowGLX *window,
                                      GstVaapiTexture *texture,
                                      const GstVaapiRectangle *src_rect,
                                      const GstVaapiRectangle *dst_rect);

## Types and Values

### GstVaapiWindowGLX

    typedef struct _GstVaapiWindowGLX GstVaapiWindowGLX;